"use strict";

var https = require("http");
const {
  apiEndPoint,
  path,
  requestHostDomain,
  auth_token_noExpired,
  type,
  metricName,
  metricType,
  metricValue,
  sleepTime
} = require("./grafana-config");
// const { getTimeStampInfo } = require("../utils/General/getGeneralInfo");
const {
  Logger
} = require("../utils/Logger/Logger");
function pushInfoToGrafana() {
  var options = {
    method: "POST",
    hostname: apiEndPoint,
    path: path,
    headers: {
      RequestHostDomain: requestHostDomain,
      Authorization: auth_token_noExpired,
      "Content-Type": type
    },
    maxRedirects: 20
  };
  var req = https.request(options, function (res) {
    var chunks = [];
    res.on("data", function (chunk) {
      chunks.push(chunk);
    });
    res.on("end", function () {
      var body = Buffer.concat(chunks);
      Logger.log(Logger.INFO_TYPE, body.toString());
    });
    res.on("error", function (error) {
      Logger.error(Logger.INFO_TYPE, error);
    });
  });
  var metrics = JSON.stringify({
    service_name: requestHostDomain,
    metric_name: metricName,
    metric_type: metricType,
    metric_value: metricValue,
    sleep_time: sleepTime,
    labels: {
      test: "precommit metric"
    }
  });
  req.write(metrics);
  req.end();
}
//comments

/**
 * username,
 * branch,
 * repo,
 * [{
 *  file:"",
 *   rule:""
 * }],
 * passed | failed
 */

module.exports = {
  pushInfoToGrafana
};