"use strict";

const path = require('path');
const {
  readdirSync
} = require('fs');
const {
  getNodeModulesPath
} = require('../General/getNodeModulesPath');
const {
  executeSynchronizedCommands
} = require('../General/executeSyncCommands');
const {
  getLibraryInstalledLocation
} = require('../General/getLibraryInstalledLocation');
function getEslintExecutablePath() {
  let eslintLibraryName = 'eslint';
  let librariesInNodeModulesOfProject = executeSynchronizedCommands(readdirSync, [path.join(getNodeModulesPath(), 'node_modules')], '', 'Unable to get the plugins inside node_modules', true, false);
  let isEslintInstalledinProject = librariesInNodeModulesOfProject.some(library => library === eslintLibraryName);
  return isEslintInstalledinProject ? path.join(getNodeModulesPath(), 'node_modules', eslintLibraryName, 'bin', 'eslint.js') : path.join(getLibraryInstalledLocation(), 'node_modules', eslintLibraryName, 'bin', 'eslint.js');
}
module.exports = {
  getEslintExecutablePath
};